summaryrefslogtreecommitdiff
path: root/extra
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2021-02-05 08:28:58 +0100
committerErich Eckner <git@eckner.net>2021-02-05 08:28:58 +0100
commitbd2bd62103289e4df95c893ad829ba390b425a5c (patch)
tree4c9f5a1f9bd2f945e78e5c7abe728c67c4126373 /extra
parent9265965a3e0ee86770decf50a9078e3c63d55ba6 (diff)
downloadpackages-bd2bd62103289e4df95c893ad829ba390b425a5c.tar.xz
extra/libproxy: fix pkgname-removal
Diffstat (limited to 'extra')
-rw-r--r--extra/libproxy/PKGBUILD13
1 files changed, 6 insertions, 7 deletions
diff --git a/extra/libproxy/PKGBUILD b/extra/libproxy/PKGBUILD
index 959b890..2158a59 100644
--- a/extra/libproxy/PKGBUILD
+++ b/extra/libproxy/PKGBUILD
@@ -12,14 +12,13 @@ optdepends_i686=('webkit2gtk: PAC proxy support (Webkit2gtk engine)')
optdepends_pentium4=('webkit2gtk: PAC proxy support (Webkit2gtk engine)')
optdepends_x86_64=('webkit2gtk: PAC proxy support (Webkit2gtk engine)')
+eval "$(
+ declare -f package_libproxy-webkit \
+ | sed '
+ 2 a [ "${CARCH}" != i486 ] || return
+ '
+)"
if [ "${CARCH}" = 'i486' ]; then
- pkgname=(
- $(
- printf '%s\n' "${pkgname[@]}" | \
- grep -v '^libproxy-webkit'
- )
- )
- unset package_libproxy-webkit
eval "$(
declare -f build | \
sed '